%{!?dist:%define dist   .el4dsrv}

%define shortname redhat-ds
%define pkgname   dirsrv

Summary:          Red Hat Directory Server (base)
Name:             redhat-ds-base
Version:          8.1.0
Release:          0.19%{?dist}
License:          GPLv2 with exceptions
URL:              http://www.redhat.com/directory_server/
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    svrcore-devel >= 4.0.3
BuildRequires:    mozldap6-devel >= 6.0.4
BuildRequires:    db4-devel >= 4.2.52
BuildRequires:    cyrus-sasl-devel >= 2.1.19
BuildRequires:    icu >= 3.4
BuildRequires:    libicu-devel >= 3.4
# The following are needed to build the snmp ldap-agent
BuildRequires:    net-snmp-devel >= 5.1.2
%ifnarch sparc sparc64 ppc ppc64
BuildRequires:    lm_sensors-devel
%endif
BuildRequires:    bzip2-devel
BuildRequires:    zlib-devel
BuildRequires:    openssl-devel
BuildRequires:    tcp_wrappers
BuildRequires:    libselinux-devel
# the following is for the pam passthru auth plug-in
# which is disabled for redhat directory server for now
#BuildRequires:    pam-devel

# the following are needed for some of our scripts
Requires:         mozldap6-tools
Requires:         perl-Mozilla-LDAP
# this is needed to setup SSL if you are not using the
# administration server package
Requires:         nss-tools

# these are not found by the auto-dependency method
# they are required to support the mandatory LDAP SASL mechs
%ifarch x86_64
Requires:	      libgssapiv2.so.2()(64bit)
Requires:	      libdigestmd5.so.2()(64bit)
%else
Requires:	      cyrus-sasl-gssapi
Requires:	      cyrus-sasl-md5
%endif

# this is needed for verify-db.pl
Requires:             db4-utils

# for the init script
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

Source0:          %{name}-%{version}.tar.bz2
Source1:          %{name}-devel.README

%description
Red Hat Directory Server is an LDAPv3 compliant server.  The base package includes
the LDAP server and command line utilities for server administration.

%package          devel
Summary:          Development libraries for Red Hat Directory Server
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         mozldap6-devel

%description      devel
Development Libraries and headers for the Red Hat Directory Server base package.


%prep
%setup -q -n %{name}-%{version}
cp %{SOURCE1} README.devel

%build
%configure --disable-bitwise --disable-pam-passthru --enable-ldapi --enable-autobind

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT/var/log/%{pkgname}
mkdir -p $RPM_BUILD_ROOT/var/lib/%{pkgname}
mkdir -p $RPM_BUILD_ROOT/var/lock/%{pkgname}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/%{pkgname}

#remove libtool and static libs
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/plugins/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/%{pkgname}/plugins/*.la

install -p -m 644 ldap/servers/slapd/slapi-plugin.h $RPM_BUILD_ROOT%{_includedir}/%{pkgname}/
install -p -m 644 ldap/servers/plugins/replication/winsync-plugin.h $RPM_BUILD_ROOT%{_includedir}/%{pkgname}/

# make sure perl scripts have a proper shebang 
sed -i -e 's|#{{PERL-EXEC}}|#!/usr/bin/perl|' $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/script-templates/template-*.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{pkgname}
/sbin/ldconfig


%preun
if [ $1 = 0 ]; then
        /sbin/service %{pkgname} stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{pkgname}
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE EXCEPTION
%dir %{_sysconfdir}/%{pkgname}
%dir %{_sysconfdir}/%{pkgname}/schema
%config(noreplace)%{_sysconfdir}/%{pkgname}/schema/*.ldif
%dir %{_sysconfdir}/%{pkgname}/config
%config(noreplace)%{_sysconfdir}/%{pkgname}/config/slapd-collations.conf
%config(noreplace)%{_sysconfdir}/%{pkgname}/config/certmap.conf
%config(noreplace)%{_sysconfdir}/sysconfig/%{pkgname}
%{_datadir}/%{pkgname}
%{_initrddir}/%{pkgname}
%{_bindir}/*
%{_sbindir}/*
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/*.so.*
%{_libdir}/%{pkgname}/perl
%dir %{_libdir}/%{pkgname}/plugins
%{_libdir}/%{pkgname}/plugins/*.so
%dir %{_localstatedir}/lib/%{pkgname}
%dir %{_localstatedir}/log/%{pkgname}
%dir %{_localstatedir}/lock/%{pkgname}
%{_mandir}/man1/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
%doc LICENSE EXCEPTION README.devel
%{_includedir}/%{pkgname}
%{_libdir}/%{pkgname}/*.so


%changelog
* Tue Apr 21 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-19.el4dsrv
- Resolves: Bug 496836
- Description: corrected semaphore name used by SNMP subagent
- CVS tag Directory_Server_8_1_Candidate_20090421

* Thu Apr 16 2009 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.18.el4dsrv
- Resolves: Bug 475338
- Description: LOG: the intenal type of maxlogsize, maxdiskspace and minfreespace should be 64-bit integer (comment #23)
- CVS tag Directory_Server_8_1_Candidate_20090416

* Thu Apr 16 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.17.el4dsrv
- Resolves: Bug 475338
- Description: LOG: the intenal type of maxlogsize, maxdiskspace and minfreespace should be 64-bit integer
- CVS tag Directory_Server_8_1_Candidate_20090416

* Thu Apr 02 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.16.el4dsrv
- Fix return status for init sctipt.

* Wed Apr 01 2009 Kevin Wright <kwright@redhat.com> - 8.1.0-0.15.el4dsrv
- Respin using DSRV-8-RHEL4 branch instead of DSRV-8_1-RHEL4.

* Tue Mar 31 2009 Kevin Wright <kwright@redhat.com> - 8.1.0-0.14.el4dsrv
- Initial brew build for 8.1.0

* Mon Mar 16 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.13.el4dsrv
- Resolves: bug 488986
- Description: SASL: RHEL4 x86_64 - GSSAPI Unknown Authentication Method
- Fix Description: have to use Requires: libgssapiv2.so.2()(64bit) - this
- is from the output of rpm -q --provides cyrus-sasl-gssapi.x86_64

* Fri Mar 13 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.12.el4dsrv
- Resolves: bug 488986
- Description: SASL: RHEL4 x86_64 - GSSAPI Unknown Authentication Method
- Fix Description: using _isa didn't work - use explicit .x86_64 with ifarch

* Fri Mar 13 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.11.el4dsrv
- Resolves: bug 488986
- Description: SASL: RHEL4 x86_64 - GSSAPI Unknown Authentication Method
- Fix Description: using arch didn't work - trying _isa

* Fri Mar 06 2009 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.10.el4dsrv
- Resolves: bug 488986
- Description: SASL: RHEL4 x86_64 - GSSAPI Unknown Authentication Method
- Fix Description: If you install redhat-ds-base.x86_64 and cyrus-sasl-gssapi.i386 is already on the system, up2date will think the dependency is resolved already, and will not install cyrus-sasl-gssapi.x86_64
- The fix is to force the use of arch in the Requires to force it to depend
- explicitly on cyrus-sasl-gssapi.x86_64

* Sun Feb 08 2009 Kevin Wright <kwright@redhat.com> - 8.1.0-0.9.el4dsrv
- Creating daily builds for rhel4

* Fri Jan 30 2009 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.8.el4dsrv
- Made devel package depend on mozldap6-devel

* Fri Nov 14 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.7.el4dsrv
- use nspr and nss, not the dirsec versions - these are now part of the OS

* Mon Oct 30 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.6.el4dsrv
- added db4-utils to Requires for verify-db.pl

* Mon Oct 13 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.5.el4dsrv
- Enabled LDAPI autobind

* Tue Aug  5 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.4.el4dsrv
- added winsync-plugin.h to the devel package

* Tue Jul 29 2008 Nathan Kinder <nkinder@redhat.com> - 8.1.0-0.3.el4dsrv
- Enabled LDAPI and the DNA plug-in

* Thu Jul 17 2008 Rich Megginson <rmeggins@redhat.com> - 8.1.0-0.2.el4dsrv
- added man pages

* Tue Apr 22 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.1.0-0.1.el4dsrv
- initial version for RHDS 8.1.0
- removed "--disable-ldapi" from configure parameters

* Fri Apr 18 2008 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-15.el4dsrv
- Fix memory leaks in extensible filter code

* Mon Mar 03 2008 Nathan Kinder <nkinder@redhat.com> - 8.0.0-14.el4dsrv
- Fix fractional replication between masters.

* Tue Nov 06 2007 Margaret Lum <mlum@redhat.com> - 8.0.0-12.el4dsrv
- Build officially in Brew.

* Wed Oct 17 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-7.el4dsrv
- remove /var/tmp/dirsrv from package

* Fri Oct  5 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-6.el4dsrv
- The file /etc/sysconfig/dirsrv has been added to the package

* Thu Aug 16 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-5.el4dsrv
- several migration fixes
- fix usage of open() with O_CREAT and db4->open() calls
- update License to GPLv2 with exceptions as per Fedora

* Fri Aug 10 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-4.el4dsrv
- Change pathnames to use the pkgname macro which is dirsrv

* Fri Aug 10 2007 Noriko Hosoi <nhosoi@redhat.com> - 8.0.0-3.el4dsrv
- upgraded mozldap6 version to 6.0.4

* Wed Jul 25 2007 Margaret Lum <mlum@redhat.com> - 8.0.0-2.el4dsrv
- Bump release number.

* Tue Jul 24 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-1
- removed fedora-isms, cvsdate

* Mon Jul 23 2007 Rich Megginson <rmeggins@redhat.com> - 8.0.0-0.1.20070723
- initial version based on fedora-ds-base.spec
